tigase.jaxmpp.core.client.xmpp.utils

## Class RSM

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.utils.RSM

-     public class RSM
      extends Object

  Author:
    andrzej

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSM()`
    `RSM(int defaultMax)` Constructs ...

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RSM` | `fromElement(Element e)`
    `Integer` | `getCount()`
    `String` | `getFirst()` Method description
    `Integer` | `getIndex()` Method description
    `String` | `getLast()` Method description
    `Integer` | `getMax()` Method description
    `void` | `reset()`
    `void` | `setAfter(String after)`
    `void` | `setBefore(String before)`
    `void` | `setIndex(Integer index)`
    `void` | `setLastPage(boolean val)`
    `void` | `setMax(Integer max)`
    `Element` | `toElement()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS

          protected static final String XMLNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RSM

          public RSM(int defaultMax)

      Constructs ...
      Parameters:
        `e` -

    - #### RSM

          public RSM()

  - ### Method Detail

    - #### getMax

          public Integer getMax()

      Method description
      Returns:

    - #### getIndex

          public Integer getIndex()

      Method description
      Returns:

    - #### getFirst

          public String getFirst()

      Method description
      Returns:

    - #### getLast

          public String getLast()

      Method description
      Returns:

    - #### getCount

          public Integer getCount()

    - #### setBefore

          public void setBefore(String before)

    - #### setAfter

          public void setAfter(String after)

    - #### setLastPage

          public void setLastPage(boolean val)

    - #### setIndex

          public void setIndex(Integer index)

    - #### setMax

          public void setMax(Integer max)

    - #### reset

          public void reset()

    - #### fromElement

          public RSM fromElement(Element e)
                          throws XMLException

      Throws:
        `XMLException`

    - #### toElement

          public Element toElement()
                            throws XMLException

      Method description
      Returns:
      Throws:
        `XMLException`

Copyright © 2006–2017 Tigase. All rights reserved.